//
// Copyright 2001 Perforce Software.  All rights reserved.
//
// This file is part of Perforce - the FAST SCM System.
//
// p4wBranchEditView::
//   p4 commands used to generate form to edit a branch spec


#include <stdlib.h>
#include <string.h>

#include <p4wp4.h>

#include "p4wView.h"
#include "p4wMenuPane.h"
#include "p4wBranchEditView.h"

#include "p4wBranchPane.h"

p4wBranchEditView::p4wBranchEditView( p4wRequest & Request )
	: p4wView( Request )
{
	//
	// Set the short and the long versions of the title
	
	fShortTitle.Set( "Edit Branch Spec" );
	fFullTitle << "Edit Branch Spec " << fRequest.GetURL();
}

p4wBranchEditView::~p4wBranchEditView()
{
}

void p4wBranchEditView::RenderContent()
{
	//
	// branch -o branchname
	
	p4wBranchPane branchPane( *this, fRequest, 1 );
	
	fRequest.p4Arg( "-o" );
	if( fRequest.GetURL().Length() )
		fRequest.p4Arg( fRequest.GetURL().Text() );
		
	fRequest.p4( "branch", 0, 0, &branchPane );

	fRequest.p4Wait();	
}

void p4wBranchEditView::RenderMenu()
{
	//
	// Draw the menu bar
	
	p4wMenuPane menuPane( *this, fRequest, "editbranch" );
	menuPane.Render( NULL );
}
